set TZ=JST-9
@echo off

call clean.bat

set BUILDER="C:\Program Files\Microsoft eMbedded Tools\Common\EVC\Bin\EVC.EXE"
set CABBUILDER="\Windows CE Tools\wce211\MS HPC Pro\support\appinst\bin\cabwiz.exe"
set TARGET=counter

REM ---------------------------------------------------------------------------
REM counter
REM ---------------------------------------------------------------------------

set srcdir=%TARGET%_src
set cabdir=%TARGET%_cab

%BUILDER% .\%TARGET%.vcw /make "%TARGET% - Win32 (WCE ARM) Release" /rebuild
%BUILDER% .\%TARGET%.vcw /make "%TARGET% - Win32 (WCE MIPS) Release" /rebuild
%BUILDER% .\%TARGET%.vcw /make "%TARGET% - Win32 (WCE SH3) Release" /rebuild
%BUILDER% .\%TARGET%.vcw /make "%TARGET% - Win32 (WCE SH4) Release" /rebuild

REM ------ CABS ------ 

%cabbuilder% %TARGET%.inf /err %TARGET%.log /cpu ARM MIPS SH3 SH4 PXA

del .\%TARGET%.arm.dat
del .\%TARGET%.mips.dat
del .\%TARGET%.sh3.dat
del .\%TARGET%.sh4.dat
del .\%TARGET%.pxa.dat

mkdir %cabdir%
move .\%TARGET%*.cab .\%cabdir%

REM ------ SRC ------ 
mkdir %srcdir%
copy .\*.c* .\%srcdir%
copy .\*.h* .\%srcdir%
copy .\*.vcw .\%srcdir%
copy .\*.vcp .\%srcdir%
copy .\*.vco .\%srcdir%
copy .\*.txt .\%srcdir%
copy .\*.rc .\%srcdir%
copy .\*.bat .\%srcdir%
copy .\*.ico .\%srcdir%
copy .\*.html .\%srcdir%
copy .\*.gif .\%srcdir%
copy .\*.inf .\%srcdir%

zip -r %TARGET%_src.zip .\%srcdir%
zip -r %TARGET%_cab.zip .\%cabdir%
